"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Sample = void 0;

var _react = _interopRequireDefault(require("react"));

var _DndContext = _interopRequireDefault(require("./DndContext"));

var _XiangqiSample = _interopRequireDefault(require("./Xiangqi.sample.json"));

var _types = require("./types");

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
var _default = {
  title: 'components/Xiangqi',
  component: _DndContext.default,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
    turn: _types.ChessColor
  }
}; // More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args

exports.default = _default;

const Template = args => /*#__PURE__*/_react.default.createElement(_DndContext.default, args);

const Sample = Template.bind({});
exports.Sample = Sample;

const red = _XiangqiSample.default.pieces.filter(p => p.color === _types.ChessColor.Red);

const black = _XiangqiSample.default.pieces.filter(p => p.color === _types.ChessColor.Black);

Sample.args = {
  redPieces: red,
  blackPieces: black,
  kill: item => {
    item.live = false;
    const list = item.color === _types.ChessColor.Red ? red : black;
    const idx = list.findIndex(p => p.id === item.id);
    list.splice(idx, 1);
  },
  movePiece: (item, pos) => {
    item.position = pos;
    const list = item.color === _types.ChessColor.Red ? red : black;
    const idx = list.findIndex(p => p.id === item.id);
    list.splice(idx, 1, item);
  },
  turn: _types.ChessColor.Red
};