"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.NodeCard = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var _Paper = _interopRequireDefault(require("@mui/material/Paper"));

var _Card = _interopRequireDefault(require("@mui/material/Card"));

var _CardHeader = _interopRequireDefault(require("@mui/material/CardHeader"));

var _CardContent = _interopRequireDefault(require("@mui/material/CardContent"));

var _Avatar = _interopRequireDefault(require("@mui/material/Avatar"));

var _Typography = _interopRequireDefault(require("@mui/material/Typography"));

var _Divider = _interopRequireDefault(require("@mui/material/Divider"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const NodeCard = /*#__PURE__*/React.forwardRef(({
  host,
  ...props
}, ref) => {
  return /*#__PURE__*/React.createElement(_Paper.default, (0, _extends2.default)({}, props, {
    ref: ref
  }), /*#__PURE__*/React.createElement(_Card.default, null, /*#__PURE__*/React.createElement(_CardHeader.default, {
    avatar: /*#__PURE__*/React.createElement(_Avatar.default, {
      "aria-label": "Recipe"
    }, host.name[0]),
    title: host.name,
    subheader: host.host
  }), /*#__PURE__*/React.createElement(_Divider.default, null), /*#__PURE__*/React.createElement(_CardContent.default, null, /*#__PURE__*/React.createElement(_Typography.default, {
    component: "div"
  }, /*#__PURE__*/React.createElement("span", null, "Delay: "), /*#__PURE__*/React.createElement("span", null, host.delay, "ms"), /*#__PURE__*/React.createElement(_Divider.default, null), /*#__PURE__*/React.createElement("span", null, "Min Delay: "), /*#__PURE__*/React.createElement("span", null, host.minDelay, "ms"), /*#__PURE__*/React.createElement(_Divider.default, null), /*#__PURE__*/React.createElement("span", null, "Max Delay: "), /*#__PURE__*/React.createElement("span", null, host.maxDelay, "ms"), /*#__PURE__*/React.createElement(_Divider.default, null), /*#__PURE__*/React.createElement("span", null, "Average Delay: "), /*#__PURE__*/React.createElement("span", null, host.averageDelay, "ms"), /*#__PURE__*/React.createElement(_Divider.default, null), /*#__PURE__*/React.createElement("span", null, "Package Lost: "), /*#__PURE__*/React.createElement("span", null, host.lost, "%"), /*#__PURE__*/React.createElement(_Divider.default, null), /*#__PURE__*/React.createElement("span", null, "Times: "), /*#__PURE__*/React.createElement("span", null, host.times)))));
});
exports.NodeCard = NodeCard;
NodeCard.displayName = 'NodeCard';
var _default = NodeCard;
exports.default = _default;